queue - Task #6686

Implement game challenges 7-
05/13/2019 10:24 PM - Nico Schottelius

Status: Rejected Start date:
Priority: Normal Due date:
Assignee: % Done:
Category: Estimated time:

Target version:
PM Check date:

05/13/2019

0%
0.00 hour

Description
To be defined:

e challenge 7:
¢ challenge 8:
e challenge 9:
e challenge 10:

History

#1 - 06/07/2019 01:01 PM - Roland Zweifel
Things i did to understand flask:

- found out how to install and wrote progress to Chaorite
- learned structure with a web page, progress to chaorite

-- wrong way, no input/output to html - > input/output by CLI (curl). going back to start again

- learned how to interact with CLI to Flask by GET/POST with input form

-- learned ho to send msg by curl

- learned how to interact with CLI to Flask by GET/POST with request methode
-- learned how to send a integer by curl

--- wrong way, input/output must be in use of JSON

- learned how to use JSON for Inputs

-- learned how to send JSON Frame by curl

- Input & Output with JSON works!
- GIT ADD / COMMIT / STATUS / PUSH

#2 - 06/07/2019 01:25 PM - Nico Schottelius

Good work, more updates like this, please!

redmine@ungleich.ch writes:

#3 - 06/07/2019 04:16 PM - Roland Zweifel
Things i did today:

- Raw Flask Structure is ready

- JSON Commands are planned

- Server can take command and give out a specified variable
- and: Git Push is done

#4 - 06/10/2019 12:38 PM - Roland Zweifel

- programming first challlenge

-- programmed striping network-string (check if the syntax is ok)

-- programmen switch (to select later the challenges)

-- stopped at a error - could it be that Flask has rulez where to write your code?

- cooked and going back to work

-- is the error about the "if name =="'__main__": app.run(debug=True)" ??

-- OK OK Python doesnt have the switch case statement, lets do something else
-- rewrite first part of the code

-- find a solutione for the next one (switch would be perfect for that...)
... man! what a world!
- Challenge 1 is running!

-- Ok i have to to some other things but core is running

-- store itin a DB

-- and then dont forget to do the login, that will also stored in a DB

-- make it pretty! remove useless comments or #, make it pretty an keep the idea for other Challenges.

#5 - 06/10/2019 12:46 PM - Nico Schottelius
Hey Roli,

please ensure that your code is always pushed to code.ungleich.ch

redmine@ungleich.ch writes:

#6 - 06/11/2019 01:15 PM - Roland Zweifel

- installed mysqgl and a client to verify the connection
- solved connection trouble with mysgl successfully
- saved progress and realized, that i should use PostGreSQL and/or etcd

#7 - 06/25/2019 10:34 PM - Nico Schottelius
- Assignee deleted (Nico Schottelius)

#8 - 11/06/2019 11:53 AM - Nico Schottelius
- Status changed from New to Rejected

- Parent task deleted (#6679)

will create another task for this later
